%global qt_module qtaccountsservice

Name:           qt5-%{qt_module}
Summary:        Qt5 - AccountService addon
Version:        0.1.0
Release:        3%{?dist}
Group:          Applications/System
License:        LGPLv2+
URL:            https://github.com/hawaii-desktop/qt-accountsservice-addon
# git clone --no-checkout https://github.com/hawaii-desktop/qt-accountsservice-addon.git
# cd qt-accountsservice-addon/
# git archive v0.1.0 --prefix=qt-accountsservice-addon-0.1.0/ |gzip >qt-accountsservice-addon-0.1.0.tar.gz
Source0:        qt-accountsservice-addon-%{version}.tar.gz

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Qml)
BuildRequires:  pkgconfig(Qt5Quick)
BuildRequires:  qt5-qtbase-devel

%description
Qt-style API for freedesktop.org's AccountsService DBus service (see 
http://www.freedesktop.org/wiki/Software/AccountsService).


%package devel
Summary:    Development files for Qt Account Service Addon
Group:      Development/System
Requires:   %{name}%{?isa} = %{version}-%{release}
Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig

%description devel
Files for development using Qt Account Service Addon.


%prep
%setup -q -n qt-accountsservice-addon-%{version}


%build
%{_qt5_qmake} %{qt_module}.pro
(cd src/accountsservice; syncqt.pl -check-includes -module QtAccountsService -version %{version} -outdir %{_builddir}/%{?buildsubdir})
make %{?_smp_mflags} LINK='g++ -Wl,--as-needed'


%install
make install INSTALL_ROOT=$RPM_BUILD_ROOT


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%{_libdir}/libQt0AccountsService.so.*
%{_libdir}/qt5/qml/QtAccountsService
%doc README.md
%doc LICENSE


%files devel
%{_includedir}/qt5/QtAccountsService
%{_libdir}/cmake/Qt5AccountsService
%{_libdir}/libQt0AccountsService.so
%{_libdir}/libQt0AccountsService.prl
%{_libdir}/pkgconfig/Qt0AccountsService.pc
%{_libdir}/qt5/mkspecs/modules/qt_lib_accountsservice.pri
%exclude %{_libdir}/libQt0AccountsService.la


%changelog
* Tue Oct 15 2013 Lubomir Rintel <lkundrak@v3.sk> - 0.1.0-3
- Own our directories (Christopher Meng, #1011501)
- Don't link to unused libraries (Christopher Meng, #1011501)

* Tue Sep 24 2013 Lubomir Rintel <lkundrak@v3.sk> - 0.1.0-2
- Incorporate some review fixes (Christopher Meng, #1011501)

* Mon Sep 16 2013 Lubomir Rintel <lkundrak@v3.sk> - 0.1.0-1
- Initial packaging
